#! /bin/sh

# FAIL: A file added to trunk after the creation of BRANCH is
# nevertheless included on BRANCH.

set -e
set -x

CVSROOT=$(pwd)/cvs
export CVSROOT

rm -rf cvs wc git $HOME/.cvsps

cvs init
cvs co -d wc .
(
    cd wc
    mkdir module
    cvs add module
)
(
    cd wc/module
    echo '1.1' >a.txt
    cvs add a.txt
    cvs commit -m 'Add a.txt'
    cvs tag -b BRANCH
    echo '1.1' >b.txt
    cvs add b.txt
    cvs commit -m 'Add b.txt'
    # We have to make a commit on BRANCH so that the branch is not
    # entirely ignored by cvsimport:
    cvs up -r BRANCH
    echo '1.1.2.1' >a.txt
    cvs commit -m 'Revision 1.1.2.1'
)
git cvsimport -a -C git module
(
    cd git
    gitk --all &
)
